<template>
  <div class="mb-5">
    <datasetDetailsTop :activeTab="activeTab"></datasetDetailsTop>
    <datasetDetailsDataset v-if="getActiveNavigationTab === 0"></datasetDetailsDataset>
    <datasetDetailsCategories v-if="getActiveNavigationTab === 1"></datasetDetailsCategories>
    <datasetDetailsSimilarDatasets v-if="getActiveNavigationTab === 2"></datasetDetailsSimilarDatasets>
    <!--<datasetDetailsActivityStream v-if="getActiveNavigationTab === 3"></datasetDetailsActivityStream>-->
  </div>
</template>

<script>
import { mapActions, mapGetters } from 'vuex';
// import nested components
import DatasetDetailsTop from './EDP2-datasetDetails-top';
import DatasetDetailsDataset from './EDP2-datasetDetails-dataset';
import DatasetDetailsCategories from './EDP2-datasetDetails-categories';
import DatasetDetailsSimilarDatasets from './EDP2-datasetDetails-similarDatasets';
// import DatasetDetailsActivityStream from './EDP2-datasetDetails-activityStream';

export default {
  name: 'datasetDetails',
  components: {
    datasetDetailsTop: DatasetDetailsTop,
    datasetDetailsDataset: DatasetDetailsDataset,
    datasetDetailsCategories: DatasetDetailsCategories,
    datasetDetailsSimilarDatasets: DatasetDetailsSimilarDatasets,
    // datasetDetailsActivityStream: DatasetDetailsActivityStream,
  },
  data() {
    return {};
  },
  props: {
    activeTab: {
      type: Number,
      default: 0,
    },
  },
  computed: {
    ...mapGetters('datasetDetails', [
      'getActiveNavigationTab',
    ]),
  },
  methods: {
    ...mapActions('datasetDetails', [
      'setActiveNavigationTab',
    ]),
  },
  created() {},
  mounted() {},
};
</script>

<style lang="scss" scoped>
  @import '../styles/bootstrap_theme';
</style>
